experiments.tab

## Class TabManager

- java.lang.Object
- - experiments.tab.TabManager

All Implemented Interfaces:
  StudiedSystem

    public class TabManager
    extends java.lang.Object
    implements StudiedSystem

The Class TabManager.

### Constructor Summary

Constructors
Constructor and Description
`TabManager()` Instantiates a new tab manager.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput()` Gets the output.
`World` `getWorld()` Gets the world.
`void` `playOneStep(double action)` When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.
`void` `setWorld(World world)` Sets the world.
`void` `shuffleData()` Shuffle data.
`void` `switchControlMode()` Switch control mode.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TabManager

    public TabManager()

Instantiates a new tab manager.

### Method Detail

#### playOneStep

    public void playOneStep(double action)

Description copied from interface: `StudiedSystem`
When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.

Specified by:
  `playOneStep` in interface `StudiedSystem`
Parameters:
  `action` - : output action of AMOEBA.

#### getOutput

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutput()

Description copied from interface: `StudiedSystem`
Gets the output.

Specified by:
  `getOutput` in interface `StudiedSystem`
Returns:
  the output

#### switchControlMode

    public void switchControlMode()

Description copied from interface: `StudiedSystem`
Switch control mode.

Specified by:
  `switchControlMode` in interface `StudiedSystem`

#### getWorld

    public World getWorld()

Gets the world.

Returns:
  the world

#### setWorld

    public void setWorld(World world)

Sets the world.

Parameters:
  `world` - the new world

#### shuffleData

    public void shuffleData()

Shuffle data.